Package robocode

## Class KeyPressedEvent

- java.lang.Object
- - robocode.Event
  - - robocode.KeyEvent
    - - robocode.KeyPressedEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<Event>`

    public final class KeyPressedEvent
    extends KeyEvent

A KeyPressedEvent is sent to `onKeyPressed()` when a key has been pressed on the keyboard.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `KeyReleasedEvent`, `KeyTypedEvent`, Serialized Form

### Constructor Summary

Constructors
`KeyPressedEvent​(KeyEvent source)` Called by the game to create a new KeyPressedEvent.

### Method Summary

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class robocode.KeyEvent

`getSourceEvent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyPressedEvent

    public KeyPressedEvent​(KeyEvent source)

Called by the game to create a new KeyPressedEvent.

Parameters:
  `source` - the source key event originating from the AWT.